Last Comment Bug 869890 - thunderbird should declare itself dpiAware on windows via the .exe manifest
: thunderbird should declare itself dpiAware on windows via the .exe manifest
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: OS Integration (show other bugs)
: 22 Branch
: x86 Windows 7
: -- normal (vote)
: Thunderbird 23.0
Assigned To: Jonathan Kew (:jfkthame)
:
:
Mentors:
Depends on: 866365
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 04:09 PDT by Jonathan Kew (:jfkthame)
Modified: 2013-05-21 02:26 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
declare thunderbird.exe as dpi-aware in its manifest (1.93 KB, patch)
2013-05-08 04:28 PDT, Jonathan Kew (:jfkthame)
standard8: review+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Jonathan Kew (:jfkthame) 2013-05-08 04:09:45 PDT
In bug 866365, we removed the call to SetProcessDPIAware from XRE_mainInit(), and instead added the dpiAware element to firefox.exe's manifest. (This is the MS recommended way for an application to declare itself dpi-aware, as per MSDN documentation.)

So to maintain its existing behavior on hi-dpi windows systems, thunderbird should make the same manifest addition. Bug 866365 is likely to be uplifted to mozilla-22, I think, so that's also where the manifest change should be made.
Comment 1 Jonathan Kew (:jfkthame) 2013-05-08 04:28:38 PDT
Created attachment 746893 [details] [diff] [review]
declare thunderbird.exe as dpi-aware in its manifest
Comment 2 Mark Banner (:standard8) 2013-05-08 05:48:33 PDT
Comment on attachment 746893 [details] [diff] [review]
declare thunderbird.exe as dpi-aware in its manifest

Not tested, but looks fine as a copy of what was landed for FF. r=Standard8.
Comment 3 Jonathan Kew (:jfkthame) 2013-05-08 06:23:17 PDT
https://hg.mozilla.org/comm-central/rev/f85134b411f6
Comment 4 Jonathan Kew (:jfkthame) 2013-05-11 01:20:31 PDT
Comment on attachment 746893 [details] [diff] [review]
declare thunderbird.exe as dpi-aware in its manifest

[Approval Request Comment]

See bug 866365 comment 46. The change there has just landed on Aurora, so the matching thunderbird change also needs to be uplifted.
Comment 5 Mark Banner (:standard8) 2013-05-21 02:18:40 PDT
Comment on attachment 746893 [details] [diff] [review]
declare thunderbird.exe as dpi-aware in its manifest

[Triage Comment]
The core patch is on beta now, post merges, so we'll take this on beta as well.
Comment 6 Mark Banner (:standard8) 2013-05-21 02:26:38 PDT
https://hg.mozilla.org/releases/comm-beta/rev/e3ed50e2cc6d

Note You need to log in before you can comment on or make changes to this bug.